## XdpParent XdpParent — parent window abstraction |

## Functions

void | xdp_parent_free ()
XdpParent * | xdp_parent_new_gtk ()

## Types and Values

struct | XdpParent

## Description

The XdpParent struct provides an abstract way to represent a window, without introducing a dependency on a toolkit library.

An XdpParent implementation for GTK+ is included in the portal-gtk.h header file, in the form of inline functions. To create a XdpParent for a GTK+ window, use `xdp_parent_new_gtk()`.

## Functions

### xdp_parent_free ()

    void
    xdp_parent_free (XdpParent *parent);

Frees an XdpParent when it is no longer needed.

#### Parameters

parent | a XdpParent |

### xdp_parent_new_gtk ()

    XdpParent *
    xdp_parent_new_gtk (GtkWindow *window);

Creates a XdpParent for a GtkWindow.

#### Parameters

window | a GtkWindow |

#### Returns

a newly created XdpParent. Free with `xdp_parent_free()`

## Types and Values

### struct XdpParent

    struct XdpParent {
    };

A struct that provides information about parent windows. The members of this struct are private to libportal and should not be accessed by applications.